DefaultClusterFactory (ActiveCluster 1.0 API)
Keywords: org.codehaus.activecluster.impl.DefaultClusterFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activecluster.impl
Class DefaultClusterFactory

    java.lang.Object
      org.codehaus.activecluster.impl.DefaultClusterFactory

All Implemented Interfaces:
  ClusterFactory

Direct Known Subclasses:
  ActiveMQClusterFactory

public class DefaultClusterFactory
extends Object
implements ClusterFactory

A Factory of DefaultCluster instances

Version:
  $Revision: 1.12 $

Constructor Summary
`DefaultClusterFactory(ConnectionFactory connectionFactory)`
`DefaultClusterFactory(ConnectionFactory connectionFactory, boolean transacted, int acknowledgeMode, String dataTopicPrefix, long inactiveTime)`

Method Summary
`protected Cluster` | `createCluster(Connection connection, Session session, Topic groupDestination)`
`Cluster` | `createCluster(String topic)` Creates a new cluster connection using the given topic name
`Cluster` | `createCluster(Topic groupDestination)` Creates a new cluster connection using the given group
`protected MessageProducer` | `createProducer(Session session, Topic groupDestination)`
`protected Session` | `createSession(Connection connection)`
`int` | `getAcknowledgeMode()`
`ConnectionFactory` | `getConnectionFactory()`
`String` | `getDataTopicPrefix()`
`int` | `getDeliveryMode()`
`long` | `getInactiveTime()`
`boolean` | `isTransacted()`
`boolean` | `isUseQueueForInbox()`
`void` | `setAcknowledgeMode(int acknowledgeMode)`
`void` | `setConnectionFactory(ConnectionFactory connectionFactory)`
`void` | `setDataTopicPrefix(String dataTopicPrefix)`
`void` | `setDeliveryMode(int deliveryMode)` Sets the delivery mode of the group based producer
`void` | `setInactiveTime(long inactiveTime)`
`void` | `setTransacted(boolean transacted)`
`void` | `setUseQueueForInbox(boolean useQueueForInbox)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultClusterFactory

    public DefaultClusterFactory(ConnectionFactory connectionFactory,
                                 boolean transacted,
                                 int acknowledgeMode,
                                 String dataTopicPrefix,
                                 long inactiveTime)

### DefaultClusterFactory

    public DefaultClusterFactory(ConnectionFactory connectionFactory)

Method Detail

### createCluster

    public Cluster createCluster(Topic groupDestination)
                          throws ClusterException,
                                 JMSException

  Description copied from interface: `ClusterFactory`
  Creates a new cluster connection using the given group

  Specified by:
    `createCluster` in interface `ClusterFactory`
  Parameters:
    `groupDestination` -
  Returns:
    Cluster
  Throws:
    `ClusterException`
    `JMSException`

### createCluster

    public Cluster createCluster(String topic)
                          throws ClusterException,
                                 JMSException

  Description copied from interface: `ClusterFactory`
  Creates a new cluster connection using the given topic name

  Specified by:
    `createCluster` in interface `ClusterFactory`
  Parameters:
    `topic` - is the name of the topic to use
  Returns:
    Cluster
  Throws:
    `ClusterException`
    `JMSException`

### getDataTopicPrefix

    public String getDataTopicPrefix()

### setDataTopicPrefix

    public void setDataTopicPrefix(String dataTopicPrefix)

### getAcknowledgeMode

    public int getAcknowledgeMode()

### setAcknowledgeMode

    public void setAcknowledgeMode(int acknowledgeMode)

### getInactiveTime

    public long getInactiveTime()

### setInactiveTime

    public void setInactiveTime(long inactiveTime)

### isTransacted

    public boolean isTransacted()

### setTransacted

    public void setTransacted(boolean transacted)

### isUseQueueForInbox

    public boolean isUseQueueForInbox()

### setUseQueueForInbox

    public void setUseQueueForInbox(boolean useQueueForInbox)

### getConnectionFactory

    public ConnectionFactory getConnectionFactory()

### setConnectionFactory

    public void setConnectionFactory(ConnectionFactory connectionFactory)

### getDeliveryMode

    public int getDeliveryMode()

### setDeliveryMode

    public void setDeliveryMode(int deliveryMode)

  Sets the delivery mode of the group based producer

### createCluster

    protected Cluster createCluster(Connection connection,
                                    Session session,
                                    Topic groupDestination)
                             throws JMSException

  Throws:
    `JMSException`

### createProducer

    protected MessageProducer createProducer(Session session,
                                             Topic groupDestination)
                                      throws JMSException

  Throws:
    `JMSException`

### createSession

    protected Session createSession(Connection connection)
                             throws JMSException

  Throws:
    `JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Protique, Ltd.. All Rights Reserved.